Page MenuHomePhabricator

Add unicode support to wikitext preview
Closed, ResolvedPublic

Description

Currently, the preview text shown in the Special:SmiteSpam page uses substr, which can cause issues with half of unicode characters appearing. This should be changed to mb_substr.

Details

Related Gerrit Patches:

Event Timeline

polybuildr raised the priority of this task from to Needs Triage.
polybuildr updated the task description. (Show Details)
polybuildr added a subscriber: polybuildr.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 9 2015, 11:25 PM
polybuildr set Security to None.
polybuildr triaged this task as High priority.Aug 19 2015, 2:09 PM

Seeing broken unicode characters in the preview could possibly confuse admins, leading to unexpected consequences. @Abhinand, are you working on this?

Change 232723 had a related patch set uploaded (by Abhinand):
Add unicode support for wikitext

https://gerrit.wikimedia.org/r/232723

Change 232723 merged by jenkins-bot:
Add unicode support for wikitext preview in Special:SmiteSpam

https://gerrit.wikimedia.org/r/232723

Abhinand mentioned this in Unknown Object (Diffusion Commit).Aug 21 2015, 1:03 PM
polybuildr closed this task as Resolved.Aug 21 2015, 1:47 PM

Thanks @Abhinand!